Quick Links: Download Gideros Studio | Gideros Documentation | Ultimate Guide | Gideros Development Center
Issues exporting to APK - What SDK/JDK versions? - Gideros Forum

Issues exporting to APK - What SDK/JDK versions?

PaulHPaulH Member
edited October 6 in General questions
I've been trying to export directly to an APK and getting errors that seem to suggest the Android SDK version I've specified may not be correct. I'm getting 'failed to find target with hash of "android-23"'. For those using the APK export, what versions of the Android SDK (or NDK?) and JDK are you using? Are you specifying the root folder of those kits during the export?

Thanks,

Paul

Comments

  • snookssnooks Member
    Yes, the root folders work here. My directories are:

    C:/Users/Paul/AppData/Local/Android/Sdk

    ... and ...

    C:/Program Files (x86)/Java/jdk1.8.0_144

    I have a few Android SDKs installed, but I target 19 in the export dialogue for no particular reason other than it was the default option.
  • hgy29hgy29 Maintainer
    You typically don't need to set the paths, as gideros will figure out itself (if they are default paths). In your case android tooling complains that build (or target, not sure) SDK wasn't found on your computer with version 23. If you specified this version yourself, you should open android SDK manger from android studio and install the correct SDK. if you didn't specify anything beside defaults, then gideros failed to detect the correct build SDK.
  • SinisterSoftSinisterSoft Maintainer
    The best way to get the everything setup correctly is to remove what you have already in terms of set paths, sdk, etc then download Android Studio and install it. No need to run it afterwards. Then Gideros will find all the defaults.
  • PaulHPaulH Member
    Thanks. That helped. I had Android Studio installed in a non-default location. I just freed up some space, reinstalled, and I can now export an APK.

    The only issue I'm having now is that when I upload an APK to Google Play I get this warning:

    You uploaded an APK that does not have BILLING permission, or has a BILLING permission that is limited to specific sdk versions. BILLING permission is required for selling in-app products.

    I'm including the IAB plugin, but it sounds like that's not going to work without the BILLING permission.

    Any ideas?

    Paul
    +1 -1 (+1 / -0 ) Share on Facebook
  • PaulHPaulH Member
    OK, so I see I had to open the IAB plugin in the Gideros project and select to add Google and Apple to enable that. That seemed to solve the issue with the BILLING permission.

    My only issue now seems to be that the APK I've exported includes the FINE_LOCATION permission, which my app never used before, and has no reason to include. Does anyone know how to prevent the exported APK from including that permission in the manifest?

    Paul
    +1 -1 (+1 / -0 ) Share on Facebook
  • SinisterSoftSinisterSoft Maintainer
    edited October 11
    Yes, look at the 'require' plugin. I don't have a problem with fine location so it maybe you need to untick gps being required. Here are the settings used for my latest game...
  • PaulHPaulH Member
    That's very helpful! Thank you!
Sign In or Register to comment.